<?php

namespace Litecms\Slider\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SliderTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Slider\Models\Slider $slider)
    {
        return [
            'id'                => $slider->getRouteKey(),
            'key'               => [
                'public'    => $slider->getPublicKey(),
                'route'     => $slider->getRouteKey(),
            ], 
            'title'             => $slider->title,
            'image'             => $slider->image,
            'description'       => $slider->description,
            'status'            => $slider->status,
            'url'               => [
                'public'    => trans_url('slider/'.$slider->getPublicKey()),
                'user'      => guard_url('slider/slider/'.$slider->getRouteKey()),
            ], 
            'status'            => trans('app.'.$slider->status),
            'created_at'        => format_date($slider->created_at),
            'updated_at'        => format_date($slider->updated_at),
        ];
    }
}